
Smart Proxy - Feature #3991

dnscmd provider for smart-proxy (Windows)

01/10/2014 01:32 PM - Martin Matuška

Status: Closed   

Priority: Low   

Assignee: Martin Matuška   

Category: DNS   

Target version: 1.4.0   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

nsupdate against a Microsoft DNS server does not create static records. This causes DNS entries to be scavenged if aging is turned

on.

A dnscmd provider running on a Windows host (similar to MS DHCP) can use the dnscmd command to create/remove static entries.

Related issues:

Related to Smart Proxy - Feature #4025: PTR support in dnscmd provider Resolved 01/15/2014

Related to Smart Proxy - Bug #4026: native_ms/dnscmd providers should use she... Closed

Has duplicate Smart Proxy - Feature #61: Add Microsoft DNS Support Resolved 11/05/2009

Associated revisions

Revision 168ee4e6 - 01/15/2014 02:33 PM - Martin Matuska 

fixes #3991 - dnscmd provider for smart-proxy (Windows)

History

#1 - 01/10/2014 01:41 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Martin Matuška

- Target version set to 1.9.2

https://github.com/theforeman/smart-proxy/pull/127/files

#2 - 01/15/2014 02:27 PM - Dominic Cleal

- Related to Feature #4025: PTR support in dnscmd provider added

#3 - 01/15/2014 02:30 PM - Dominic Cleal

- Related to Bug #4026: native_ms/dnscmd providers should use shell escaping when running commands added

#4 - 01/15/2014 02:33 PM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from Smart Proxy to DNS

- translation missing: en.field_release set to 2

#5 - 01/15/2014 02:52 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 168ee4e64718eed50e3e140d0fd2d54db0999b56.

#6 - 03/04/2014 10:42 AM - Dominic Cleal
https://github.com/theforeman/smart-proxy/pull/127/files
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/168ee4e64718eed50e3e140d0fd2d54db0999b56


- Has duplicate Feature #61: Add Microsoft DNS Support added
